import java.io.*;
import java.util.*;

public class StainedGlass {
    List<Integer> ret;
    void add(int[] t) {
        for (int i : t)
            ret.add(i);
    }
    public int[] create(int H, int[] pixels, int N){
        ret = new ArrayList<Integer>();

        add(new int[]{ 50, 130, 0xDA70D6});
        add(new int[]{150, 180, 0x6495ED});
        add(new int[]{200, 280, 0x00C957});
        add(new int[]{200,  30, 0xFFE7BA});
        add(new int[]{250,  80, 0xD2691E});

        int[] r = new int[ret.size()];
        for (int i = 0; i < ret.size(); ++i)
            r[i] = ret.get(i).intValue();
        return r;
    }
    // -------8<------- end of the solution submitted to the website -------8<-------
    public static void main(String[] args) {
    try {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        int H = Integer.parseInt(br.readLine());

        int S = Integer.parseInt(br.readLine());
        int[] pixels = new int[S];
        for (int i = 0; i < S; ++i)
            pixels[i] = Integer.parseInt(br.readLine());

        int N = Integer.parseInt(br.readLine());

        StainedGlass sg = new StainedGlass();
        int[] ret = sg.create(H, pixels, N);

        System.out.println(ret.length);
        for (int i = 0; i < ret.length; ++i) {
            System.out.println(ret[i]);
        }
    }
    catch (Exception e) {}
    }
}

